Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network192.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
192.0.0.0
Broadcast address
195.255.255.255
First usable
192.0.0.1
Last usable
195.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Public public
Old class
C (default /24)
As numbers
Hex C0000000 · Integer 3221225472 to 3288334335
Reverse DNS zones
192.in-addr.arpa
193.in-addr.arpa
194.in-addr.arpa
195.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11000000.00000000.00000000.00000000192.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network11000000.00000000.00000000.00000000192.0.0.0
Broadcast11000011.11111111.11111111.11111111195.255.255.255
Split into smaller subnets/17

192.0.0.0/6 makes 2,048 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1192.0.0.0/17192.0.0.1 to 192.0.127.254192.0.127.25532,766
2192.0.128.0/17192.0.128.1 to 192.0.255.254192.0.255.25532,766
3192.1.0.0/17192.1.0.1 to 192.1.127.254192.1.127.25532,766
4192.1.128.0/17192.1.128.1 to 192.1.255.254192.1.255.25532,766
5192.2.0.0/17192.2.0.1 to 192.2.127.254192.2.127.25532,766
6192.2.128.0/17192.2.128.1 to 192.2.255.254192.2.255.25532,766
7192.3.0.0/17192.3.0.1 to 192.3.127.254192.3.127.25532,766
8192.3.128.0/17192.3.128.1 to 192.3.255.254192.3.255.25532,766
9192.4.0.0/17192.4.0.1 to 192.4.127.254192.4.127.25532,766
10192.4.128.0/17192.4.128.1 to 192.4.255.254192.4.255.25532,766
11192.5.0.0/17192.5.0.1 to 192.5.127.254192.5.127.25532,766
12192.5.128.0/17192.5.128.1 to 192.5.255.254192.5.255.25532,766
13192.6.0.0/17192.6.0.1 to 192.6.127.254192.6.127.25532,766
14192.6.128.0/17192.6.128.1 to 192.6.255.254192.6.255.25532,766
15192.7.0.0/17192.7.0.1 to 192.7.127.254192.7.127.25532,766
16192.7.128.0/17192.7.128.1 to 192.7.255.254192.7.255.25532,766
17192.8.0.0/17192.8.0.1 to 192.8.127.254192.8.127.25532,766
18192.8.128.0/17192.8.128.1 to 192.8.255.254192.8.255.25532,766
19192.9.0.0/17192.9.0.1 to 192.9.127.254192.9.127.25532,766
20192.9.128.0/17192.9.128.1 to 192.9.255.254192.9.255.25532,766
21192.10.0.0/17192.10.0.1 to 192.10.127.254192.10.127.25532,766
22192.10.128.0/17192.10.128.1 to 192.10.255.254192.10.255.25532,766
23192.11.0.0/17192.11.0.1 to 192.11.127.254192.11.127.25532,766
24192.11.128.0/17192.11.128.1 to 192.11.255.254192.11.255.25532,766
25192.12.0.0/17192.12.0.1 to 192.12.127.254192.12.127.25532,766
26192.12.128.0/17192.12.128.1 to 192.12.255.254192.12.255.25532,766
27192.13.0.0/17192.13.0.1 to 192.13.127.254192.13.127.25532,766
28192.13.128.0/17192.13.128.1 to 192.13.255.254192.13.255.25532,766
29192.14.0.0/17192.14.0.1 to 192.14.127.254192.14.127.25532,766
30192.14.128.0/17192.14.128.1 to 192.14.255.254192.14.255.25532,766
31192.15.0.0/17192.15.0.1 to 192.15.127.254192.15.127.25532,766
32192.15.128.0/17192.15.128.1 to 192.15.255.254192.15.255.25532,766
33192.16.0.0/17192.16.0.1 to 192.16.127.254192.16.127.25532,766
34192.16.128.0/17192.16.128.1 to 192.16.255.254192.16.255.25532,766
35192.17.0.0/17192.17.0.1 to 192.17.127.254192.17.127.25532,766
36192.17.128.0/17192.17.128.1 to 192.17.255.254192.17.255.25532,766
37192.18.0.0/17192.18.0.1 to 192.18.127.254192.18.127.25532,766
38192.18.128.0/17192.18.128.1 to 192.18.255.254192.18.255.25532,766
39192.19.0.0/17192.19.0.1 to 192.19.127.254192.19.127.25532,766
40192.19.128.0/17192.19.128.1 to 192.19.255.254192.19.255.25532,766
41192.20.0.0/17192.20.0.1 to 192.20.127.254192.20.127.25532,766
42192.20.128.0/17192.20.128.1 to 192.20.255.254192.20.255.25532,766
43192.21.0.0/17192.21.0.1 to 192.21.127.254192.21.127.25532,766
44192.21.128.0/17192.21.128.1 to 192.21.255.254192.21.255.25532,766
45192.22.0.0/17192.22.0.1 to 192.22.127.254192.22.127.25532,766
46192.22.128.0/17192.22.128.1 to 192.22.255.254192.22.255.25532,766
47192.23.0.0/17192.23.0.1 to 192.23.127.254192.23.127.25532,766
48192.23.128.0/17192.23.128.1 to 192.23.255.254192.23.255.25532,766
49192.24.0.0/17192.24.0.1 to 192.24.127.254192.24.127.25532,766
50192.24.128.0/17192.24.128.1 to 192.24.255.254192.24.255.25532,766
51192.25.0.0/17192.25.0.1 to 192.25.127.254192.25.127.25532,766
52192.25.128.0/17192.25.128.1 to 192.25.255.254192.25.255.25532,766
53192.26.0.0/17192.26.0.1 to 192.26.127.254192.26.127.25532,766
54192.26.128.0/17192.26.128.1 to 192.26.255.254192.26.255.25532,766
55192.27.0.0/17192.27.0.1 to 192.27.127.254192.27.127.25532,766
56192.27.128.0/17192.27.128.1 to 192.27.255.254192.27.255.25532,766
57192.28.0.0/17192.28.0.1 to 192.28.127.254192.28.127.25532,766
58192.28.128.0/17192.28.128.1 to 192.28.255.254192.28.255.25532,766
59192.29.0.0/17192.29.0.1 to 192.29.127.254192.29.127.25532,766
60192.29.128.0/17192.29.128.1 to 192.29.255.254192.29.255.25532,766
61192.30.0.0/17192.30.0.1 to 192.30.127.254192.30.127.25532,766
62192.30.128.0/17192.30.128.1 to 192.30.255.254192.30.255.25532,766
63192.31.0.0/17192.31.0.1 to 192.31.127.254192.31.127.25532,766
64192.31.128.0/17192.31.128.1 to 192.31.255.254192.31.255.25532,766
65192.32.0.0/17192.32.0.1 to 192.32.127.254192.32.127.25532,766
66192.32.128.0/17192.32.128.1 to 192.32.255.254192.32.255.25532,766
67192.33.0.0/17192.33.0.1 to 192.33.127.254192.33.127.25532,766
68192.33.128.0/17192.33.128.1 to 192.33.255.254192.33.255.25532,766
69192.34.0.0/17192.34.0.1 to 192.34.127.254192.34.127.25532,766
70192.34.128.0/17192.34.128.1 to 192.34.255.254192.34.255.25532,766
71192.35.0.0/17192.35.0.1 to 192.35.127.254192.35.127.25532,766
72192.35.128.0/17192.35.128.1 to 192.35.255.254192.35.255.25532,766
73192.36.0.0/17192.36.0.1 to 192.36.127.254192.36.127.25532,766
74192.36.128.0/17192.36.128.1 to 192.36.255.254192.36.255.25532,766
75192.37.0.0/17192.37.0.1 to 192.37.127.254192.37.127.25532,766
76192.37.128.0/17192.37.128.1 to 192.37.255.254192.37.255.25532,766
77192.38.0.0/17192.38.0.1 to 192.38.127.254192.38.127.25532,766
78192.38.128.0/17192.38.128.1 to 192.38.255.254192.38.255.25532,766
79192.39.0.0/17192.39.0.1 to 192.39.127.254192.39.127.25532,766
80192.39.128.0/17192.39.128.1 to 192.39.255.254192.39.255.25532,766
81192.40.0.0/17192.40.0.1 to 192.40.127.254192.40.127.25532,766
82192.40.128.0/17192.40.128.1 to 192.40.255.254192.40.255.25532,766
83192.41.0.0/17192.41.0.1 to 192.41.127.254192.41.127.25532,766
84192.41.128.0/17192.41.128.1 to 192.41.255.254192.41.255.25532,766
85192.42.0.0/17192.42.0.1 to 192.42.127.254192.42.127.25532,766
86192.42.128.0/17192.42.128.1 to 192.42.255.254192.42.255.25532,766
87192.43.0.0/17192.43.0.1 to 192.43.127.254192.43.127.25532,766
88192.43.128.0/17192.43.128.1 to 192.43.255.254192.43.255.25532,766
89192.44.0.0/17192.44.0.1 to 192.44.127.254192.44.127.25532,766
90192.44.128.0/17192.44.128.1 to 192.44.255.254192.44.255.25532,766
91192.45.0.0/17192.45.0.1 to 192.45.127.254192.45.127.25532,766
92192.45.128.0/17192.45.128.1 to 192.45.255.254192.45.255.25532,766
93192.46.0.0/17192.46.0.1 to 192.46.127.254192.46.127.25532,766
94192.46.128.0/17192.46.128.1 to 192.46.255.254192.46.255.25532,766
95192.47.0.0/17192.47.0.1 to 192.47.127.254192.47.127.25532,766
96192.47.128.0/17192.47.128.1 to 192.47.255.254192.47.255.25532,766
97192.48.0.0/17192.48.0.1 to 192.48.127.254192.48.127.25532,766
98192.48.128.0/17192.48.128.1 to 192.48.255.254192.48.255.25532,766
99192.49.0.0/17192.49.0.1 to 192.49.127.254192.49.127.25532,766
100192.49.128.0/17192.49.128.1 to 192.49.255.254192.49.255.25532,766
101192.50.0.0/17192.50.0.1 to 192.50.127.254192.50.127.25532,766
102192.50.128.0/17192.50.128.1 to 192.50.255.254192.50.255.25532,766
103192.51.0.0/17192.51.0.1 to 192.51.127.254192.51.127.25532,766
104192.51.128.0/17192.51.128.1 to 192.51.255.254192.51.255.25532,766
105192.52.0.0/17192.52.0.1 to 192.52.127.254192.52.127.25532,766
106192.52.128.0/17192.52.128.1 to 192.52.255.254192.52.255.25532,766
107192.53.0.0/17192.53.0.1 to 192.53.127.254192.53.127.25532,766
108192.53.128.0/17192.53.128.1 to 192.53.255.254192.53.255.25532,766
109192.54.0.0/17192.54.0.1 to 192.54.127.254192.54.127.25532,766
110192.54.128.0/17192.54.128.1 to 192.54.255.254192.54.255.25532,766
111192.55.0.0/17192.55.0.1 to 192.55.127.254192.55.127.25532,766
112192.55.128.0/17192.55.128.1 to 192.55.255.254192.55.255.25532,766
113192.56.0.0/17192.56.0.1 to 192.56.127.254192.56.127.25532,766
114192.56.128.0/17192.56.128.1 to 192.56.255.254192.56.255.25532,766
115192.57.0.0/17192.57.0.1 to 192.57.127.254192.57.127.25532,766
116192.57.128.0/17192.57.128.1 to 192.57.255.254192.57.255.25532,766
117192.58.0.0/17192.58.0.1 to 192.58.127.254192.58.127.25532,766
118192.58.128.0/17192.58.128.1 to 192.58.255.254192.58.255.25532,766
119192.59.0.0/17192.59.0.1 to 192.59.127.254192.59.127.25532,766
120192.59.128.0/17192.59.128.1 to 192.59.255.254192.59.255.25532,766
121192.60.0.0/17192.60.0.1 to 192.60.127.254192.60.127.25532,766
122192.60.128.0/17192.60.128.1 to 192.60.255.254192.60.255.25532,766
123192.61.0.0/17192.61.0.1 to 192.61.127.254192.61.127.25532,766
124192.61.128.0/17192.61.128.1 to 192.61.255.254192.61.255.25532,766
125192.62.0.0/17192.62.0.1 to 192.62.127.254192.62.127.25532,766
126192.62.128.0/17192.62.128.1 to 192.62.255.254192.62.255.25532,766
127192.63.0.0/17192.63.0.1 to 192.63.127.254192.63.127.25532,766
128192.63.128.0/17192.63.128.1 to 192.63.255.254192.63.255.25532,766
129192.64.0.0/17192.64.0.1 to 192.64.127.254192.64.127.25532,766
130192.64.128.0/17192.64.128.1 to 192.64.255.254192.64.255.25532,766
131192.65.0.0/17192.65.0.1 to 192.65.127.254192.65.127.25532,766
132192.65.128.0/17192.65.128.1 to 192.65.255.254192.65.255.25532,766
133192.66.0.0/17192.66.0.1 to 192.66.127.254192.66.127.25532,766
134192.66.128.0/17192.66.128.1 to 192.66.255.254192.66.255.25532,766
135192.67.0.0/17192.67.0.1 to 192.67.127.254192.67.127.25532,766
136192.67.128.0/17192.67.128.1 to 192.67.255.254192.67.255.25532,766
137192.68.0.0/17192.68.0.1 to 192.68.127.254192.68.127.25532,766
138192.68.128.0/17192.68.128.1 to 192.68.255.254192.68.255.25532,766
139192.69.0.0/17192.69.0.1 to 192.69.127.254192.69.127.25532,766
140192.69.128.0/17192.69.128.1 to 192.69.255.254192.69.255.25532,766
141192.70.0.0/17192.70.0.1 to 192.70.127.254192.70.127.25532,766
142192.70.128.0/17192.70.128.1 to 192.70.255.254192.70.255.25532,766
143192.71.0.0/17192.71.0.1 to 192.71.127.254192.71.127.25532,766
144192.71.128.0/17192.71.128.1 to 192.71.255.254192.71.255.25532,766
145192.72.0.0/17192.72.0.1 to 192.72.127.254192.72.127.25532,766
146192.72.128.0/17192.72.128.1 to 192.72.255.254192.72.255.25532,766
147192.73.0.0/17192.73.0.1 to 192.73.127.254192.73.127.25532,766
148192.73.128.0/17192.73.128.1 to 192.73.255.254192.73.255.25532,766
149192.74.0.0/17192.74.0.1 to 192.74.127.254192.74.127.25532,766
150192.74.128.0/17192.74.128.1 to 192.74.255.254192.74.255.25532,766
151192.75.0.0/17192.75.0.1 to 192.75.127.254192.75.127.25532,766
152192.75.128.0/17192.75.128.1 to 192.75.255.254192.75.255.25532,766
153192.76.0.0/17192.76.0.1 to 192.76.127.254192.76.127.25532,766
154192.76.128.0/17192.76.128.1 to 192.76.255.254192.76.255.25532,766
155192.77.0.0/17192.77.0.1 to 192.77.127.254192.77.127.25532,766
156192.77.128.0/17192.77.128.1 to 192.77.255.254192.77.255.25532,766
157192.78.0.0/17192.78.0.1 to 192.78.127.254192.78.127.25532,766
158192.78.128.0/17192.78.128.1 to 192.78.255.254192.78.255.25532,766
159192.79.0.0/17192.79.0.1 to 192.79.127.254192.79.127.25532,766
160192.79.128.0/17192.79.128.1 to 192.79.255.254192.79.255.25532,766
161192.80.0.0/17192.80.0.1 to 192.80.127.254192.80.127.25532,766
162192.80.128.0/17192.80.128.1 to 192.80.255.254192.80.255.25532,766
163192.81.0.0/17192.81.0.1 to 192.81.127.254192.81.127.25532,766
164192.81.128.0/17192.81.128.1 to 192.81.255.254192.81.255.25532,766
165192.82.0.0/17192.82.0.1 to 192.82.127.254192.82.127.25532,766
166192.82.128.0/17192.82.128.1 to 192.82.255.254192.82.255.25532,766
167192.83.0.0/17192.83.0.1 to 192.83.127.254192.83.127.25532,766
168192.83.128.0/17192.83.128.1 to 192.83.255.254192.83.255.25532,766
169192.84.0.0/17192.84.0.1 to 192.84.127.254192.84.127.25532,766
170192.84.128.0/17192.84.128.1 to 192.84.255.254192.84.255.25532,766
171192.85.0.0/17192.85.0.1 to 192.85.127.254192.85.127.25532,766
172192.85.128.0/17192.85.128.1 to 192.85.255.254192.85.255.25532,766
173192.86.0.0/17192.86.0.1 to 192.86.127.254192.86.127.25532,766
174192.86.128.0/17192.86.128.1 to 192.86.255.254192.86.255.25532,766
175192.87.0.0/17192.87.0.1 to 192.87.127.254192.87.127.25532,766
176192.87.128.0/17192.87.128.1 to 192.87.255.254192.87.255.25532,766
177192.88.0.0/17192.88.0.1 to 192.88.127.254192.88.127.25532,766
178192.88.128.0/17192.88.128.1 to 192.88.255.254192.88.255.25532,766
179192.89.0.0/17192.89.0.1 to 192.89.127.254192.89.127.25532,766
180192.89.128.0/17192.89.128.1 to 192.89.255.254192.89.255.25532,766
181192.90.0.0/17192.90.0.1 to 192.90.127.254192.90.127.25532,766
182192.90.128.0/17192.90.128.1 to 192.90.255.254192.90.255.25532,766
183192.91.0.0/17192.91.0.1 to 192.91.127.254192.91.127.25532,766
184192.91.128.0/17192.91.128.1 to 192.91.255.254192.91.255.25532,766
185192.92.0.0/17192.92.0.1 to 192.92.127.254192.92.127.25532,766
186192.92.128.0/17192.92.128.1 to 192.92.255.254192.92.255.25532,766
187192.93.0.0/17192.93.0.1 to 192.93.127.254192.93.127.25532,766
188192.93.128.0/17192.93.128.1 to 192.93.255.254192.93.255.25532,766
189192.94.0.0/17192.94.0.1 to 192.94.127.254192.94.127.25532,766
190192.94.128.0/17192.94.128.1 to 192.94.255.254192.94.255.25532,766
191192.95.0.0/17192.95.0.1 to 192.95.127.254192.95.127.25532,766
192192.95.128.0/17192.95.128.1 to 192.95.255.254192.95.255.25532,766
193192.96.0.0/17192.96.0.1 to 192.96.127.254192.96.127.25532,766
194192.96.128.0/17192.96.128.1 to 192.96.255.254192.96.255.25532,766
195192.97.0.0/17192.97.0.1 to 192.97.127.254192.97.127.25532,766
196192.97.128.0/17192.97.128.1 to 192.97.255.254192.97.255.25532,766
197192.98.0.0/17192.98.0.1 to 192.98.127.254192.98.127.25532,766
198192.98.128.0/17192.98.128.1 to 192.98.255.254192.98.255.25532,766
199192.99.0.0/17192.99.0.1 to 192.99.127.254192.99.127.25532,766
200192.99.128.0/17192.99.128.1 to 192.99.255.254192.99.255.25532,766
201192.100.0.0/17192.100.0.1 to 192.100.127.254192.100.127.25532,766
202192.100.128.0/17192.100.128.1 to 192.100.255.254192.100.255.25532,766
203192.101.0.0/17192.101.0.1 to 192.101.127.254192.101.127.25532,766
204192.101.128.0/17192.101.128.1 to 192.101.255.254192.101.255.25532,766
205192.102.0.0/17192.102.0.1 to 192.102.127.254192.102.127.25532,766
206192.102.128.0/17192.102.128.1 to 192.102.255.254192.102.255.25532,766
207192.103.0.0/17192.103.0.1 to 192.103.127.254192.103.127.25532,766
208192.103.128.0/17192.103.128.1 to 192.103.255.254192.103.255.25532,766
209192.104.0.0/17192.104.0.1 to 192.104.127.254192.104.127.25532,766
210192.104.128.0/17192.104.128.1 to 192.104.255.254192.104.255.25532,766
211192.105.0.0/17192.105.0.1 to 192.105.127.254192.105.127.25532,766
212192.105.128.0/17192.105.128.1 to 192.105.255.254192.105.255.25532,766
213192.106.0.0/17192.106.0.1 to 192.106.127.254192.106.127.25532,766
214192.106.128.0/17192.106.128.1 to 192.106.255.254192.106.255.25532,766
215192.107.0.0/17192.107.0.1 to 192.107.127.254192.107.127.25532,766
216192.107.128.0/17192.107.128.1 to 192.107.255.254192.107.255.25532,766
217192.108.0.0/17192.108.0.1 to 192.108.127.254192.108.127.25532,766
218192.108.128.0/17192.108.128.1 to 192.108.255.254192.108.255.25532,766
219192.109.0.0/17192.109.0.1 to 192.109.127.254192.109.127.25532,766
220192.109.128.0/17192.109.128.1 to 192.109.255.254192.109.255.25532,766
221192.110.0.0/17192.110.0.1 to 192.110.127.254192.110.127.25532,766
222192.110.128.0/17192.110.128.1 to 192.110.255.254192.110.255.25532,766
223192.111.0.0/17192.111.0.1 to 192.111.127.254192.111.127.25532,766
224192.111.128.0/17192.111.128.1 to 192.111.255.254192.111.255.25532,766
225192.112.0.0/17192.112.0.1 to 192.112.127.254192.112.127.25532,766
226192.112.128.0/17192.112.128.1 to 192.112.255.254192.112.255.25532,766
227192.113.0.0/17192.113.0.1 to 192.113.127.254192.113.127.25532,766
228192.113.128.0/17192.113.128.1 to 192.113.255.254192.113.255.25532,766
229192.114.0.0/17192.114.0.1 to 192.114.127.254192.114.127.25532,766
230192.114.128.0/17192.114.128.1 to 192.114.255.254192.114.255.25532,766
231192.115.0.0/17192.115.0.1 to 192.115.127.254192.115.127.25532,766
232192.115.128.0/17192.115.128.1 to 192.115.255.254192.115.255.25532,766
233192.116.0.0/17192.116.0.1 to 192.116.127.254192.116.127.25532,766
234192.116.128.0/17192.116.128.1 to 192.116.255.254192.116.255.25532,766
235192.117.0.0/17192.117.0.1 to 192.117.127.254192.117.127.25532,766
236192.117.128.0/17192.117.128.1 to 192.117.255.254192.117.255.25532,766
237192.118.0.0/17192.118.0.1 to 192.118.127.254192.118.127.25532,766
238192.118.128.0/17192.118.128.1 to 192.118.255.254192.118.255.25532,766
239192.119.0.0/17192.119.0.1 to 192.119.127.254192.119.127.25532,766
240192.119.128.0/17192.119.128.1 to 192.119.255.254192.119.255.25532,766
241192.120.0.0/17192.120.0.1 to 192.120.127.254192.120.127.25532,766
242192.120.128.0/17192.120.128.1 to 192.120.255.254192.120.255.25532,766
243192.121.0.0/17192.121.0.1 to 192.121.127.254192.121.127.25532,766
244192.121.128.0/17192.121.128.1 to 192.121.255.254192.121.255.25532,766
245192.122.0.0/17192.122.0.1 to 192.122.127.254192.122.127.25532,766
246192.122.128.0/17192.122.128.1 to 192.122.255.254192.122.255.25532,766
247192.123.0.0/17192.123.0.1 to 192.123.127.254192.123.127.25532,766
248192.123.128.0/17192.123.128.1 to 192.123.255.254192.123.255.25532,766
249192.124.0.0/17192.124.0.1 to 192.124.127.254192.124.127.25532,766
250192.124.128.0/17192.124.128.1 to 192.124.255.254192.124.255.25532,766
251192.125.0.0/17192.125.0.1 to 192.125.127.254192.125.127.25532,766
252192.125.128.0/17192.125.128.1 to 192.125.255.254192.125.255.25532,766
253192.126.0.0/17192.126.0.1 to 192.126.127.254192.126.127.25532,766
254192.126.128.0/17192.126.128.1 to 192.126.255.254192.126.255.25532,766
255192.127.0.0/17192.127.0.1 to 192.127.127.254192.127.127.25532,766
256192.127.128.0/17192.127.128.1 to 192.127.255.254192.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses